<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>peer-review-system documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">peer-review-system documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>UploadTaskComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/components/review-unit/upload-task/upload-task.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-upload-task</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./upload-task.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./upload-task.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#downloadURL">downloadURL</a>
                            </li>
                            <li>
                                <a href="#percentage">percentage</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#revUnitService">revUnitService</a>
                            </li>
                            <li>
                                <a href="#snapshot">snapshot</a>
                            </li>
                            <li>
                                <a href="#task">task</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isActive">isActive</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#startUpload">startUpload</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#file">file</a>
                            </li>
                            <li>
                                <a href="#reviewUnit">reviewUnit</a>
                            </li>
                        </ul>
                    </td>
                </tr>




        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(revUnitService: <a href="../injectables/ReviewUnitService.html">ReviewUnitService</a>, storage: AngularFireStorage, afs: AngularFirestore, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:24</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>revUnitService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/ReviewUnitService.html" target="_self" >ReviewUnitService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>storage</td>
                                                  
                                                        <td>
                                                                    <code>AngularFireStorage</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>afs</td>
                                                  
                                                        <td>
                                                                    <code>AngularFirestore</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="file"></a>
                        <b>file</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>File</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:17</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reviewUnit"></a>
                        <b>reviewUnit</b>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:18</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="isActive"></a>
                    <span class="name">
                        <b>
                            isActive
                        </b>
                        <a href="#isActive"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>isActive(snapshot)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="67"
                            class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:67</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>snapshot</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="34"
                            class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:34</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="startUpload"></a>
                    <span class="name">
                        <b>
                            startUpload
                        </b>
                        <a href="#startUpload"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>startUpload()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="39"
                            class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:39</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadURL"></a>
                        <span class="name">
                            <b>
                            downloadURL</b>
                            <a href="#downloadURL"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="percentage"></a>
                        <span class="name">
                            <b>
                            percentage</b>
                            <a href="#percentage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Observable&lt;number&gt;</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="revUnitService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            revUnitService</b>
                            <a href="#revUnitService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/ReviewUnitService.html" target="_self" >ReviewUnitService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="snapshot"></a>
                        <span class="name">
                            <b>
                            snapshot</b>
                            <a href="#snapshot"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Observable&lt;any&gt;</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="task"></a>
                        <span class="name">
                            <b>
                            task</b>
                            <a href="#task"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>AngularFireUploadTask</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/components/review-unit/upload-task/upload-task.component.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit, Input } from &#x27;@angular/core&#x27;;
import { tap, finalize, switchMap } from &#x27;rxjs/operators&#x27;;
import { AngularFireStorage, AngularFireUploadTask } from &#x27;angularfire2/storage&#x27;;
import { AngularFirestore } from &#x27;angularfire2/firestore&#x27;;
import { Observable } from &#x27;rxjs&#x27;;
import { ReviewUnit } from &#x27;./../../../models/review-unit&#x27;;
import { ActivatedRoute } from &#x27;@angular/router&#x27;;
import { ReviewUnitService } from &#x27;src/app/services/review-unit.service&#x27;;

@Component({
  selector: &#x27;app-upload-task&#x27;,
  templateUrl: &#x27;./upload-task.component.html&#x27;,
  styleUrls: [&#x27;./upload-task.component.scss&#x27;]
})
export class UploadTaskComponent implements OnInit {

  @Input() file: File;
  @Input() reviewUnit;

  task: AngularFireUploadTask;

  percentage: Observable&lt;number&gt;;
  snapshot: Observable&lt;any&gt;;
  downloadURL;

  constructor(
    public revUnitService: ReviewUnitService,
    private storage: AngularFireStorage,
    private afs: AngularFirestore,

    private route: ActivatedRoute,
  ) { }

  ngOnInit() {
    
    this.startUpload();
  }

  startUpload() {

    // The storage path
    const path &#x3D; &#x60;review-unit-storage/${Date.now()}_${this.file.name}&#x60;;

    // Reference to storage bucket
    const ref &#x3D; this.storage.ref(path);

    // The main task
    this.task &#x3D; this.storage.upload(path, this.file);

    // Progress monitoring
    this.percentage &#x3D; this.task.percentageChanges();

    this.snapshot &#x3D; this.task.snapshotChanges().pipe(
      tap(console.log),
      // The file&#x27;s download URL
      finalize(async () &#x3D;&gt; {
        this.downloadURL &#x3D; await ref.getDownloadURL().toPromise();

        this.afs.collection&lt;ReviewUnit&gt;(&#x27;review-units&#x27;)
          .doc(this.reviewUnit.uid)
          .collection(&#x27;files&#x27;)
          .add({ downloadURL: this.downloadURL, path });
      }),
    );
  }

  isActive(snapshot) {
    return snapshot.state &#x3D;&#x3D;&#x3D; &#x27;running&#x27; &amp;&amp; snapshot.bytesTransferred &lt; snapshot.totalBytes;
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;percentage | async as pct&quot;&gt;
  &lt;progress class&#x3D;&quot;progress is-info&quot; [value]&#x3D;&quot;pct&quot; max&#x3D;&quot;100&quot;&gt;
  &lt;/progress&gt;
  {{ pct | number }}%
&lt;/div&gt;
&lt;div *ngIf&#x3D;&quot;(snapshot | async) as snap&quot;&gt;
  {{ snap.bytesTransferred }} of {{ snap.totalBytes }}
  &lt;div *ngIf&#x3D;&quot;downloadURL as url&quot;&gt;
    &lt;p class&#x3D;&quot;h5&quot;&gt;Succeeded&lt;/p&gt;
    &lt;!-- &lt;img [src]&#x3D;&quot;url&quot;&gt; --&gt;&lt;br&gt;
    &lt;a [href]&#x3D;&quot;url&quot; target&#x3D;&quot;_blank&quot; rel&#x3D;&quot;noopener&quot;&gt;Download file&lt;/a&gt;
  &lt;/div&gt;
  &lt;hr&gt;
  &lt;button (click)&#x3D;&quot;task.pause()&quot; class&#x3D;&quot;button is-warning&quot; [disabled]&#x3D;&quot;!isActive(snap)&quot;&gt;Pause&lt;/button&gt;
  &lt;button (click)&#x3D;&quot;task.cancel()&quot; class&#x3D;&quot;button is-danger&quot; [disabled]&#x3D;&quot;!isActive(snap)&quot;&gt;Cancel&lt;/button&gt;
  &lt;button (click)&#x3D;&quot;task.resume()&quot; class&#x3D;&quot;button is-info&quot; [disabled]&#x3D;&quot;!(snap?.state &#x3D;&#x3D;&#x3D; &#x27;paused&#x27;)&quot;&gt;Resume&lt;/button&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./upload-task.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="percentage | async as pct">  <progress class="progress is-info" [value]="pct" max="100">  </progress>  {{ pct | number }}%</div><div *ngIf="(snapshot | async) as snap">  {{ snap.bytesTransferred }} of {{ snap.totalBytes }}  <div *ngIf="downloadURL as url">    <p class="h5">Succeeded</p>    <!-- <img [src]="url"> --><br>    <a [href]="url" target="_blank" rel="noopener">Download file</a>  </div>  <hr>  <button (click)="task.pause()" class="button is-warning" [disabled]="!isActive(snap)">Pause</button>  <button (click)="task.cancel()" class="button is-danger" [disabled]="!isActive(snap)">Cancel</button>  <button (click)="task.resume()" class="button is-info" [disabled]="!(snap?.state === \'paused\')">Resume</button></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CreateTeamComponent', 'selector': 'app-create-team'},{'name': 'DashboardComponent', 'selector': 'app-dashboard'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LoggedUserComponent', 'selector': 'app-logged-user'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'NotFoundComponent', 'selector': 'app-not-found'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'},{'name': 'ReviewUnitCreateComponent', 'selector': 'app-review-unit-create'},{'name': 'ReviewUnitPreviewComponent', 'selector': 'app-review-unit-preview'},{'name': 'ReviewUnitsComponent', 'selector': 'app-review-units'},{'name': 'SendEmailComponent', 'selector': 'app-send-email'},{'name': 'ServerErrorComponent', 'selector': 'app-server-error'},{'name': 'SigninComponent', 'selector': 'app-signin'},{'name': 'SignupComponent', 'selector': 'app-signup'},{'name': 'TagsComponent', 'selector': 'app-tags'},{'name': 'TeamsComponent', 'selector': 'app-teams'},{'name': 'TimestampComponent', 'selector': 'app-timestamp'},{'name': 'UploaderComponent', 'selector': 'app-uploader'},{'name': 'UploadTaskComponent', 'selector': 'app-upload-task'},{'name': 'UserProfileComponent', 'selector': 'app-user-profile'},{'name': 'UsersComponent', 'selector': 'app-users'}];
    var DIRECTIVES = [{'name': 'DropZoneDirective', 'selector': '[app-dropzone]'}];
    var ACTUAL_COMPONENT = {'name': 'UploadTaskComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'UploadTaskComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
